com.sun.grid.jgdi.configuration

## Interface ParallelEnvironment

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ParallelEnvironmentImpl

      public interface ParallelEnvironment
      extends GEObject

  Java representation of the cull object PE_Type defined in sge_all_listsL.template

  Warning: The ParallelEnvironment class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(UserSet auser)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addXuser(UserSet axuser)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getAllocationRule()` Get the value of the allocationRule attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getQsortArgs()` Get the value of the qsortArgs attribute.
    `int` | `getSlots()` Get the value of the slots attribute.
    `java.lang.String` | `getStartProcArgs()` Get the value of the startProcArgs attribute.
    `java.lang.String` | `getStopProcArgs()` Get the value of the stopProcArgs attribute.
    `java.lang.String` | `getUrgencySlots()` Get the value of the urgencySlots attribute.
    `UserSet` | `getUser(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getUserCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getUserList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `UserSet` | `getXuser(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXuserCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXuserList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `boolean` | `isAccountingSummary()` Get the value of the accountingSummary attribute.
    `boolean` | `isControlSlaves()` Get the value of the controlSlaves attribute.
    `boolean` | `isJobIsFirstTask()` Get the value of the jobIsFirstTask attribute.
    `boolean` | `isSetAccountingSummary()` Determine if any accountingSummary attribute is set
    `boolean` | `isSetAllocationRule()` Determine if any allocationRule attribute is set
    `boolean` | `isSetControlSlaves()` Determine if any controlSlaves attribute is set
    `boolean` | `isSetJobIsFirstTask()` Determine if any jobIsFirstTask attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetQsortArgs()` Determine if any qsortArgs attribute is set
    `boolean` | `isSetSlots()` Determine if any slots attribute is set
    `boolean` | `isSetStartProcArgs()` Determine if any startProcArgs attribute is set
    `boolean` | `isSetStopProcArgs()` Determine if any stopProcArgs attribute is set
    `boolean` | `isSetUrgencySlots()` Determine if any urgencySlots attribute is set
    `boolean` | `isSetUser()` Determine if any user attribute is set
    `boolean` | `isSetXuser()` Determine if any xuser attribute is set
    `void` | `removeAllUser()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllXuser()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `UserSet` | `removeUser(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeUser(UserSet auser)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `UserSet` | `removeXuser(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeXuser(UserSet axuser)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setAccountingSummary(boolean aAccountingSummary)` Set the accountingSummary attribute.
    `void` | `setAllocationRule(java.lang.String aAllocationRule)` Set the allocationRule attribute.
    `void` | `setControlSlaves(boolean aControlSlaves)` Set the controlSlaves attribute.
    `void` | `setJobIsFirstTask(boolean aJobIsFirstTask)` Set the jobIsFirstTask attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setQsortArgs(java.lang.String aQsortArgs)` Set the qsortArgs attribute.
    `void` | `setSlots(int aSlots)` Set the slots attribute.
    `void` | `setStartProcArgs(java.lang.String aStartProcArgs)` Set the startProcArgs attribute.
    `void` | `setStopProcArgs(java.lang.String aStopProcArgs)` Set the stopProcArgs attribute.
    `void` | `setUrgencySlots(java.lang.String aUrgencySlots)` Set the urgencySlots attribute.
    `void` | `setUser(int index, UserSet auser)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setXuser(int index, UserSet axuser)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setSlots

          void setSlots(int aSlots)

      Set the slots attribute.
      Parameters:
        `aSlots` - the new value for the slots attribute

    - #### getSlots

          int getSlots()

      Get the value of the slots attribute.
      Returns:
        the value of the slots attribute

    - #### isSetSlots

          boolean isSetSlots()

      Determine if any slots attribute is set
      Returns:
        `true` if the slots attribute is set

    - #### getUserList

          java.util.List<UserSet> getUserList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getUserCount

          int getUserCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getUser

          UserSet getUser(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### addUser

          void addUser(UserSet auser)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `auser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setUser

          void setUser(int index,
                       UserSet auser)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `auser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllUser

          void removeAllUser()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeUser

          UserSet removeUser(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeUser

          boolean removeUser(UserSet auser)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `auser` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### isSetUser

          boolean isSetUser()

      Determine if any user attribute is set
      Returns:
        `true` if the user attribute is set

    - #### getXuserList

          java.util.List<UserSet> getXuserList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXuserCount

          int getXuserCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXuser

          UserSet getXuser(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### addXuser

          void addXuser(UserSet axuser)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axuser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setXuser

          void setXuser(int index,
                        UserSet axuser)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `axuser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllXuser

          void removeAllXuser()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeXuser

          UserSet removeXuser(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeXuser

          boolean removeXuser(UserSet axuser)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axuser` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### isSetXuser

          boolean isSetXuser()

      Determine if any xuser attribute is set
      Returns:
        `true` if the xuser attribute is set

    - #### setStartProcArgs

          void setStartProcArgs(java.lang.String aStartProcArgs)

      Set the startProcArgs attribute.
      Parameters:
        `aStartProcArgs` - the new value for the startProcArgs attribute

    - #### getStartProcArgs

          java.lang.String getStartProcArgs()

      Get the value of the startProcArgs attribute.
      Returns:
        the value of the startProcArgs attribute

    - #### isSetStartProcArgs

          boolean isSetStartProcArgs()

      Determine if any startProcArgs attribute is set
      Returns:
        `true` if the startProcArgs attribute is set

    - #### setStopProcArgs

          void setStopProcArgs(java.lang.String aStopProcArgs)

      Set the stopProcArgs attribute.
      Parameters:
        `aStopProcArgs` - the new value for the stopProcArgs attribute

    - #### getStopProcArgs

          java.lang.String getStopProcArgs()

      Get the value of the stopProcArgs attribute.
      Returns:
        the value of the stopProcArgs attribute

    - #### isSetStopProcArgs

          boolean isSetStopProcArgs()

      Determine if any stopProcArgs attribute is set
      Returns:
        `true` if the stopProcArgs attribute is set

    - #### setAllocationRule

          void setAllocationRule(java.lang.String aAllocationRule)

      Set the allocationRule attribute.
      Parameters:
        `aAllocationRule` - the new value for the allocationRule attribute

    - #### getAllocationRule

          java.lang.String getAllocationRule()

      Get the value of the allocationRule attribute.
      Returns:
        the value of the allocationRule attribute

    - #### isSetAllocationRule

          boolean isSetAllocationRule()

      Determine if any allocationRule attribute is set
      Returns:
        `true` if the allocationRule attribute is set

    - #### setControlSlaves

          void setControlSlaves(boolean aControlSlaves)

      Set the controlSlaves attribute.
      Parameters:
        `aControlSlaves` - the new value for the controlSlaves attribute

    - #### isControlSlaves

          boolean isControlSlaves()

      Get the value of the controlSlaves attribute.
      Returns:
        the value of the controlSlaves attribute

    - #### isSetControlSlaves

          boolean isSetControlSlaves()

      Determine if any controlSlaves attribute is set
      Returns:
        `true` if the controlSlaves attribute is set

    - #### setJobIsFirstTask

          void setJobIsFirstTask(boolean aJobIsFirstTask)

      Set the jobIsFirstTask attribute.
      Parameters:
        `aJobIsFirstTask` - the new value for the jobIsFirstTask attribute

    - #### isJobIsFirstTask

          boolean isJobIsFirstTask()

      Get the value of the jobIsFirstTask attribute.
      Returns:
        the value of the jobIsFirstTask attribute

    - #### isSetJobIsFirstTask

          boolean isSetJobIsFirstTask()

      Determine if any jobIsFirstTask attribute is set
      Returns:
        `true` if the jobIsFirstTask attribute is set

    - #### setUrgencySlots

          void setUrgencySlots(java.lang.String aUrgencySlots)

      Set the urgencySlots attribute.
      Parameters:
        `aUrgencySlots` - the new value for the urgencySlots attribute

    - #### getUrgencySlots

          java.lang.String getUrgencySlots()

      Get the value of the urgencySlots attribute.
      Returns:
        the value of the urgencySlots attribute

    - #### isSetUrgencySlots

          boolean isSetUrgencySlots()

      Determine if any urgencySlots attribute is set
      Returns:
        `true` if the urgencySlots attribute is set

    - #### setAccountingSummary

          void setAccountingSummary(boolean aAccountingSummary)

      Set the accountingSummary attribute.
      Parameters:
        `aAccountingSummary` - the new value for the accountingSummary attribute

    - #### isAccountingSummary

          boolean isAccountingSummary()

      Get the value of the accountingSummary attribute.
      Returns:
        the value of the accountingSummary attribute

    - #### isSetAccountingSummary

          boolean isSetAccountingSummary()

      Determine if any accountingSummary attribute is set
      Returns:
        `true` if the accountingSummary attribute is set

    - #### setQsortArgs

          void setQsortArgs(java.lang.String aQsortArgs)

      Set the qsortArgs attribute.
      Parameters:
        `aQsortArgs` - the new value for the qsortArgs attribute

    - #### getQsortArgs

          java.lang.String getQsortArgs()

      Get the value of the qsortArgs attribute.
      Returns:
        the value of the qsortArgs attribute

    - #### isSetQsortArgs

          boolean isSetQsortArgs()

      Determine if any qsortArgs attribute is set
      Returns:
        `true` if the qsortArgs attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.